<?php
add_action( 'wp_enqueue_scripts', 'plombiers_enqueue_styles' );
function plombiers_enqueue_styles() {
	$parent_style = 'plombiers-style';
  wp_enqueue_style( $parent_style, get_template_directory_uri() . '/assets/css/styles.css', array('pe-icon-7', 'flaticon', 'font-awesome', 'camera-slider','flexslider', 'bootstrap', 'owl-carousel','isotop','fancyBox','woocommerce') );
  wp_enqueue_style( 'plombiers-child',
      get_stylesheet_directory_uri() . '/style.css',
      array( $parent_style ),
      wp_get_theme()->get('Version')
    );
}
if( ! function_exists( 'plombiers_child_theme_language_setup' ) ) {
	function plombiers_child_theme_language_setup(){
	  load_theme_textdomain( 'plombiers-child', get_template_directory() . '/languages' );
	}
	add_action('after_setup_theme', 'plombiers_child_theme_language_setup');
}