<?php
/* ==========================================================
  Lists
=========================================================== */
if ( !function_exists('plombiers_button_function')) {
  function plombiers_button_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'button_text'  => '',
      'button_icon'  => '',
      'button_link'  => '',
      'open_link'  => '',
      'link_type'  => '',
      // Style
      'extraclass'  => '',
      'text_size'  => '',
      'text_color'  => '',
      'bg_color'  => '',
      'text_hover'  => '',
      'bg_hover'  => '',
      'border_radius'  => '',
    ), $atts));
    $e_uniqid       = uniqid();
    $inline_style   = '';
    if ( $text_color || $bg_color || $text_size || $border_radius ) {
      $inline_style .= '.plmbr-btn-thm-'. $e_uniqid .'.plmbr-btn-thm {';
      $inline_style .= ( $text_color ) ? 'color:'. $text_color .';' : '';
      $inline_style .= ( $bg_color ) ? 'background-color:'. $bg_color .';' : '';
      $inline_style .= ( $text_size ) ? 'font-size: '. plombiers_core_check_px($text_size) .';': '';
      $inline_style .= ( $border_radius ) ? 'border-radius: '. plombiers_core_check_px($border_radius) .';': '';
      $inline_style .= '}';
    }
    if ( $text_hover || $bg_hover ) {
      $inline_style .= '.plmbr-btn-thm-'. $e_uniqid .'.plmbr-btn-thm:hover {';
      $inline_style .= ( $text_hover ) ? 'color:'. $text_hover .';' : '';
      $inline_style .= ( $bg_hover ) ? 'background-color:'. $bg_hover .';' : '';
      $inline_style .= '}';
    }
    // add inline style
    add_inline_style( $inline_style );
    $styled_class  = ' plmbr-btn-thm-'. $e_uniqid.' ';
    if ($open_link == 'yes') {
        $btn_target = 'target="_blank"';
    } else {
        $btn_target = '';
    }
    $output = '<a href="'.esc_url( $button_link ).'" class="btn btn-default btn-lg '.esc_attr( $extraclass.''.$styled_class ).' plmbr-btn-thm " '.esc_attr( $btn_target ).' >'.$button_text.'<i class="'.esc_attr( $button_icon ).'"></i></a>';
    return $output;
  }
}
add_shortcode( 'plombiers_button', 'plombiers_button_function' );
