<?php
add_action('init', 'plombiers_counter_kc_map', 99 );
function plombiers_counter_kc_map() {

	if (function_exists('kc_add_map')){
	    kc_add_map(
	        array(
	            'plombiers_counter' => array(
	                'name' => esc_html__('Plombier Counter','plombiers-core'),
	                'description' => esc_html__('Display single icon', 'plombiers-core'),
	                'icon' => 'cpicon kc-icon-coundown',
	                'category' => PlombiersLibrary::plombiers_kc_cat_name(),
	                'params' => array(
                  'Content' => array(
                    array(
                        'type'          => 'group',
                        'label'         => esc_html__(' Options', 'plombiers-core'),
                        'name'          => 'counter_items',
                        'description'   => esc_html__( 'Counter Iteams Group Field', 'plombiers-core' ),
                        'options'       => array('add_text' => esc_html__(' Add new Counter Iteam', 'plombiers-core')),
                        'params' => array(
                          array(
                            'name' => 'counter_colunm',
                            'label' => esc_html__('Counter Column','plombiers-core'),
                            'type' => 'select',
                              'options' => array(
                                '' => esc_html__('Counter Column Style','plombiers-core'),
                                'col_one' => esc_html__('One Colunm','plombiers-core'),
                                'col_two' => esc_html__('Two Colunm','plombiers-core'),
                                'col_three' => esc_html__('Three Colunm','plombiers-core'),
                                'col_four' => esc_html__('Four Colunm','plombiers-core'),
                              ),
                            'admin_label' => true,
                          ),
                          array(
                              'name' => 'title_icon',
                              'label' => esc_html__( 'Icon','plombiers-core'),
                              'type' => 'icon_picker',
                              'description' => esc_html__('Chose Counter  icon ', 'plombiers-core'),
                            ),
                          array(
                              'name' => 'title',
                              'label' => esc_html__( 'Title','plombiers-core'),
                              'type' => 'text',
                              'admin_label' => true,
                              'description' => esc_html__('Write Counter  Title ', 'plombiers-core'),
                            ),
                            array(
                              'name' => 'number',
                              'label' => esc_html__('Number','plombiers-core'),
                              'type' => 'text',
                              'admin_label' => false,
                              'description' => esc_html__('Write Counter  Number ', 'plombiers-core'),
                            ),
                        ),
                      ),
                    ),
                    'Style' => array(
	                    array(
                        'name' => 'extraclass',
                        'label' => esc_html__('Extra Class','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter Extra Class for Titlte .', 'plombiers-core')
                      )
                      ,array(
                        'name' => 'title_size',
                        'label' => esc_html__('Title Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for title such as: 15px, 1em .etc.', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'title_color',
                        'label' => esc_html__('Title Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for title', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'number_size',
                        'label' => esc_html__('Number Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for Counter Number such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'number_color',
                        'label' => esc_html__('Number Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Counter Number', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'icon_size',
                        'label' => esc_html__('Counter Icon Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for Counter Icon such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
                      array(
                        'name' => 'icon_color',
                        'label' => esc_html__('Counter Icon Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Counter Icon', 'plombiers-core')
                      ),
		                )
	                )
	            ),  // End of elemnt kc_icon
	        )
	    ); // End add map
	} // End if
}
