<?php
add_action('init', 'plombiers_gallery_slider_kc_map', 99 );
function plombiers_gallery_slider_kc_map() {

  if (function_exists('kc_add_map')){
      kc_add_map(
          array(
              'plombiers_gallery_slider' => array(
                  'name' => esc_html__('Gallery Slider','plombiers-core'),
                  'description' => esc_html__('Display single icon', 'plombiers-core'),
                  'icon' => 'cpicon kc-icon-image-hover',
                  'category' => PlombiersLibrary::plombiers_kc_cat_name(),
                  'params' => array(
                  'Content' => array(
                    array(
                        'type'          => 'group',
                        'label'         => esc_html__(' Options', 'plombiers-core'),
                        'name'          => 'gallery_slider_items',
                        'description'   => esc_html__( 'Gallery Slider Iteams Group Field', 'plombiers-core' ),
                        'options'       => array('add_text' => esc_html__(' Add new Gallery Slider  Iteam', 'plombiers-core')),
                        'params' => array(
                          array(
                              'name' => 'gallery_icon',
                              'label' => esc_html__( 'Icon','plombiers-core'),
                              'type' => 'icon_picker',
                              'description' => esc_html__('Chose Gallery Slider icon ', 'plombiers-core'),
                            ),
                          array(
                              'name' => 'image_url',
                              'label' => esc_html__( 'Gallery Slider Image','plombiers-core'),
                              'type' => 'attach_image',
                              'admin_label' => true,
                              'description' => esc_html__('Attach Gallery Slider Image ', 'plombiers-core'),
                            ),
                        ),
                      ),
                    array(
                        'name' => 'extraclass',
                        'label' => esc_html__('Extra Class','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter Extra Class for Titlte ..', 'plombiers-core')
                      )
                    ),
                    'Style' => array(
                      array(
                        'name' => 'icon_color',
                        'label' => esc_html__('Gallery Slider  Icon Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Gallery Slider  Icon', 'plombiers-core')
                      ),
                      array(
                        'name' => 'overly_color',
                        'label' => esc_html__('Gallery Slider Overly Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Overly', 'plombiers-core')
                      ),
                    )
                  )
              ),  // End of elemnt kc_icon

          )
      ); // End add map

  } // End if

}
