<?php
/* ==========================================================
  Testimonials
=========================================================== */
if ( !function_exists('plombiers_testimonial_function')) {
  function plombiers_testimonial_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'testimonial_items'  => '',
      'extraclass'  => '',
      // Style
      'title_color'  => '',
      'title_size'  => '',
      'desc_color'  => '',
      'desc_size'  => '',
    ), $atts));

    if ( $title_size || $title_color ) {
      $title_style = ' style="';
      $title_style .= $title_size ? 'font-size: '. plombiers_core_check_px($title_size) .';': '';
      $title_style .= $title_color ? 'color: '.$title_color : '';
      $title_style .= '"';
    } else {
      $title_style = '';
    }
    if ( $desc_size || $desc_color ) {
      $desc_style = ' style="';
      $desc_style .= $desc_size ? 'font-size: '. plombiers_core_check_px($desc_size) .';': '';
      $desc_style .= $desc_color ? 'color: '.$desc_color : '';
      $desc_style .= '"';
    } else {
      $desc_style = '';
    }
    $output = '<div class="container"><div class="col-md-8 col-md-offsplmbr-2 text-center"><div class="testimonial-carousel '.esc_attr( $extraclass ).'">';
      foreach ($testimonial_items as $key => $testimonial_item) {
        $output .= ' <div class="item">';
        $image_url = wp_get_attachment_url( $testimonial_item->testi_image );
        $output .= '<div class="plmbr-client-thumb"><img src="'.esc_url( $image_url ).'" alt=""></div>';
        $output .= ' <h3 class="plmbr-client" '.$title_style.'>'.esc_html( $testimonial_item->title ).'</h3>';
        $output .= ' <p class="plmbr-testi-comment" '.$desc_style.'>'.esc_html( $testimonial_item->description ).'</p>';
        $output .= '</div>';
      }
    $output .= '</div></div></div>';
    return $output;
  }
}
add_shortcode( 'plombiers_testimonial', 'plombiers_testimonial_function' );
