<?php
if (!function_exists('plombiers_title_function')) {
	add_shortcode( 'plombiers_title', 'plombiers_title_function' );
	function plombiers_title_function($atts, $content = NULL){
		extract(
			shortcode_atts(array(
				'extraclass' => '',
				'title_type' => '',
				'title' => '',
				'title_highlight' => '',
				'sub_title' => '',
				'description' => '',
				'title_icon' => '',
				// Style
				'title_size' => '',
				'title_color' => '',
				'highlight_size' => '',
				'highlight_color' => '',
				'sub_title_size' => '',
				'sub_title_color' => '',
				'description_size' => '',
				'description_color' => '',
				'title_icon_size' => '',
				'title_icon_color' => '',
				'title_line_color' => '',
			), $atts)
		);

		if ($title_size || $title_color) {
			$title_style = ' style="';
			$title_style .= $title_size ? 'font-size: '. plombiers_core_check_px($title_size) .';': '';
			$title_style .= $title_color ? 'color: '.$title_color : '';
			$title_style .= '"';
		} else {
			$title_style = '';
		}
		if ($sub_title_size || $sub_title_color) {
			$sub_title_style = ' style="';
			$sub_title_style .= $sub_title_size ? 'font-size: '. plombiers_core_check_px($sub_title_size) .';': '';
			$sub_title_style .= $sub_title_color ? 'color: '.$sub_title_color : '';
			$sub_title_style .= '"';
		} else {
			$sub_title_style = '';
		}
		if ($description_size || $description_color) {
			$description_style = ' style="';
			$description_style .= $description_size ? 'font-size: '. plombiers_core_check_px($description_size) .';': '';
			$description_style .= $description_color ? 'color: '.$description_color : '';
			$description_style .= '"';
		} else {
			$description_style = '';
		}
		if ($title_icon_size || $title_icon_color) {
			$title_icon_style = ' style="';
			$title_icon_style .= $title_icon_size ? 'font-size: '. plombiers_core_check_px($title_icon_size) .';': '';
			$title_icon_style .= $title_icon_color ? 'color: '.$title_icon_color : '';
			$title_icon_style .= '"';
		} else {
			$title_icon_style = '';
		}
		if ($title_line_color ) {
			$title_line_style = ' style="';
			$title_line_style .= $title_line_color ? 'background-color: '.$title_line_color : '';
			$title_line_style .= '"';
		} else {
			$title_line_style = '';
		}
		$e_uniqid       = uniqid();
    $inline_style   = '';
    if ( $title_line_color ) {
      $inline_style .= '.plmbr-services-title-'. $e_uniqid .' .plmbr-title-line2::before, .plmbr-services-title-'. $e_uniqid .' .plmbr-title-line2::after, .plmbr-services-title-'. $e_uniqid .' .plmbr-title-line::after, .plmbr-services-title-'. $e_uniqid .' .plmbr-title-line::before  {';
      $inline_style .= ( $title_line_color ) ? 'background-color:'. $title_line_color .';' : '';
      $inline_style .= '}';
  	}
    // add inline style
    add_inline_style( $inline_style );
    $styled_class  = ' plmbr-services-title-'. $e_uniqid.' ';
		if ($title_type == 'standered') {
				$output ='<div class="container"><div class="col-md-6 col-md-offsplmbr-3 text-center plmbr-service-sect">';
					$output .='<div class="plmbr-services-title '.esc_attr( $styled_class.''.$extraclass ).'">';
					if (!empty($sub_title)) {
						$output .='<h3 class="plmbr-services-sub-title text-thm text-uppercase" '.$sub_title_style.'>'.esc_html( $sub_title ).'</h3>';
					}
					if (!empty($title)) {
						$output .='<h2 class="text-uppercase" '.$title_style.'>'.esc_html( $title ).'<span class="text-thm">'.esc_attr( $title_highlight ).'</span></h2>';
					}
					if (!empty($description)) {
						$output .='<p '.$description_style.'>'.esc_html( $description ).'</p>';
					}
					if (!empty($title_icon)) {
						$output .='<div class="plmbr-service-icon">';
						$output .='<span class="plmbr-title-line" '.$title_line_style.'></span><i '.$title_icon_style.' class="'.esc_attr( $title_icon ).'"></i><span class="plmbr-title-line2" '.$title_line_style.'></span>';
						$output .='</div>';
					}
					$output .='</div>';
				$output .='</div></div>';
		} else {
				$output ='<div class="plmbr-team-title '.esc_attr( $extraclass ).'">';
					$output .='<div class="row"><div class="col-md-12 text-left">';
						if (!empty($sub_title)) {
						$output .='<h3 class="plmbr-team-sub-title text-thm text-uppercase" '.$sub_title_style.'>'.esc_html( $sub_title ).'</h3>';
						}
						if (!empty($title)) {
						$output .='<h2 class="text-uppercase" '.$title_style.'>'.esc_html( $title ).'<span class="text-thm">'.esc_attr( $title_highlight ).'</span></h2>';
						}
						if (!empty($description)) {
							$output .='<p '.$description_style.'>'.esc_html( $description ).'</p>';
						}
					$output .='</div></div>';
				$output .='</div>';
		}
		return $output;
	}
}