<?php
/*
 * The template for displaying the footer.
 * Author & Copyright: IRSFoundation
 * URL: http://themeforest.net/user/irsfoundation
 */
	$plombiers_id    = ( isset( $post ) ) ? $post->ID : 0;
	$plombiers_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $plombiers_id;
	$plombiers_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $plombiers_id;
	$plombiers_meta  = get_post_meta( $plombiers_id, 'page_type_metabox', true );
	$footer_bg = cs_get_option('footer_bg');
	$footer_bg = $footer_bg ? wp_get_attachment_url($footer_bg) : PLOMBIERS_IMAGES.'/bg/footer-bg.jpg';
	if ($plombiers_meta) {
		$plombiers_hide_footer  = $plombiers_meta['hide_footer'];
	} else { $plombiers_hide_footer = ''; }
	$footer_widget_block = cs_get_option('footer_widget_block');
	if (!$footer_widget_block) {
		$style = ' padding: 0px;';
		$border = ' border-top: 0px;';
	} else {
		$style = '';
		$border = '';
	}
	$need_copyright = cs_get_option('need_copyright');
	if (!$plombiers_hide_footer) { ?>
	<!-- Footer -->
		<footer class="footer plmbr-footer" style="background-image: url(<?php echo esc_url($footer_bg); ?> ); <?php echo esc_attr($style); ?>">
			<div class="container">
				<?php
					if ( $footer_widget_block ) {
			      get_template_part( 'theme-layouts/footer/footer', 'widgets' );
			    }
					if ( $need_copyright ) {
			      // Copyright Block
		      	get_template_part( 'theme-layouts/footer/footer', 'copyright' );
			    } else {
			    	echo '<p class="copyright" style="'.esc_attr( $border ).'">&copy; '.current_time( 'Y' ).' All right reserved by <a href="'.get_home_url( '/' ).'">'.get_bloginfo( 'name' ).'</a></p>';
			    } ?>
			</div>
		<a class="scrollToTop" href="#"><i class="fa fa-angle-up"></i></a>
		</footer>
		<!-- Footer -->
<?php } ?>
</div><!-- #theme-wrapper -->
</div><!-- body under div -->
<?php wp_footer(); ?>
</body>
</html>
