<?php
// Metabox
$plombiers_id    = ( isset( $post ) ) ? $post->ID : 0;
$plombiers_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $plombiers_id;
$plombiers_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $plombiers_id;
$plombiers_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $plombiers_id : false;
$plombiers_meta  = get_post_meta( $plombiers_id, 'page_type_metabox', true );
// Header Style - ThemeOptions & Metabox
if ($plombiers_meta) {
  $plombiers_header_design  = $plombiers_meta['select_header_design'];
  $plombiers_sticky_header  = $plombiers_meta['sticky_header'];
} else {
  $plombiers_header_design  = cs_get_option('select_header_design');
  $plombiers_sticky_header  = cs_get_option('sticky_header');
}
if ($plombiers_meta && $plombiers_header_design !== 'default') {
  $plombiers_sticky_header  = $plombiers_meta['sticky_header'];
} else {
  $plombiers_sticky_header  = cs_get_option('sticky_header');
}
if ($plombiers_header_design === 'default') {
  $plombiers_header_design_actual  = cs_get_option('select_header_design');
} else {
  $plombiers_header_design_actual = ( $plombiers_header_design ) ? $plombiers_header_design : cs_get_option('select_header_design');
}
if ( $plombiers_header_design_actual === 'style_two' ) {
    $left_right_menu_class = 'navbar-left';
} else {
    $left_right_menu_class = 'navbar-right';
} ?>
<!-- Navigation & Search -->
<div id="navbar" class="navbar-collapse collapse <?php echo esc_attr( $left_right_menu_class ); ?> navigation-holder">
    <button class="close-navbar"><i class="fa fa-close"></i></button>
<?php
  if ($plombiers_meta) {
    $plombiers_choose_menu = $plombiers_meta['choose_menu'];
  } else { $plombiers_choose_menu = ''; }
  $plombiers_choose_menu = $plombiers_choose_menu ? $plombiers_choose_menu : ''; ?>
<?php wp_nav_menu(
    array(
      'menu'              => 'primary',
      'theme_location'    => 'primary',
      'container'         => '',
      'container_class'   => '',
      'container_id'      => '',
      'menu'              => $plombiers_choose_menu,
      'menu_class'        => 'nav navbar-nav',
      'fallback_cb'       => 'plombiers_wp_bootstrap_navwalker::fallback'
    )
  );
  ?>
</div><!-- end of nav-collapse -->


