<?php
/**
 * Single Post.
 */
$plombiers_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$plombiers_large_image = $plombiers_large_image[0];
$plombiers_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
$project_meta_options = get_post_meta( get_the_ID(), 'project_meta_options', true );
$project_options = get_post_meta( get_the_ID(), 'project_options', true );
$project_image = isset($project_options['single_project_image']) ? $project_options['single_project_image'] : '';
$project_icon = isset($project_meta_options['project_icon']) ? $project_meta_options['project_icon'] : '';
$project_image =  wp_get_attachment_url( $project_image );
 ?>
<div id="post-<?php the_ID(); ?>" <?php post_class('blog-post'); ?>>
	<div class="service-details-wrap">
			<div class="service-image">
				<img src="<?php echo esc_url( $project_image ) ?>" alt="">
				<div class="sevice-title">
					<h2><i class="<?php echo esc_attr( $project_icon ); ?>"></i><?php echo esc_html( get_the_title() ); ?></h2>
				</div>
			</div>

			<div class="single-service-content">
				<?php the_content(); ?>
			</div>
	</div>
</div><!-- #post-## -->