<?php
/**
 * Single Post.
 */
$plombiers_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$plombiers_large_image = $plombiers_large_image[0];
$plombiers_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
$service_options = get_post_meta( get_the_ID(), 'service_options', true );
$service_image = isset($service_options['service_image']) ? $service_options['service_image'] : '';
$service_icon = isset($service_options['service_icon']) ? $service_options['service_icon'] : '';
$service_image =  wp_get_attachment_url( $service_image );
 ?>
<div id="post-<?php the_ID(); ?>" <?php post_class('blog-post'); ?>>
	<div class="service-details-wrap">
			<div class="service-image">
				<img src="<?php echo esc_url( $service_image ) ?>" alt="">
				<div class="sevice-title">
					<h2><i class="<?php echo esc_attr( $service_icon ); ?>"></i><?php echo esc_html( get_the_title() ); ?></h2>
				</div>
			</div>

			<div class="single-service-content">
				<?php the_content(); ?>
			</div>
	</div>
</div><!-- #post-## -->