<?php
/* ==========================================================
  Accordion Info
=========================================================== */
if ( !function_exists('plombiers_accordions_function')) {
  function plombiers_accordions_function( $atts, $content = true ) {
    // var_dump($content);
    ob_start(); ?>
    <div class="plmbr-faq-box">
      <div class="plmbr-faq-content">
        <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
          <div class="panel panel-default">
            <?php echo do_shortcode( $content ); ?>
        </div>
      </div>
     </div>
    </div>
<?php
    return ob_get_clean();
  }
}
add_shortcode( 'plombiers_accordions', 'plombiers_accordions_function' );

if ( !function_exists('plombiers_accordion_function')) {
  function plombiers_accordion_function( $atts, $content = true ) {
    extract( $atts );
    ob_start(); ?>
    <div class="panel panel-default">
      <div class="panel-heading" role="tab" id="headingThree">
          <h4 class="panel-title">
            <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseThree<?php echo esc_attr( $_id ); ?>" aria-expanded="false" aria-controls="collapseThree<?php echo esc_attr( $_id ); ?>">
              <i class="fa fa-minus icon-1"></i>
              <i class="fa fa-plus icon-2"></i>
                <?php echo esc_html( $title ); ?>
            </a>
          </h4>
      </div>
      <div id="collapseThree<?php echo esc_attr( $_id ); ?>" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingThree">
          <div class="panel-body">
              <?php echo do_shortcode( $content ); ?>
          </div>
      </div>
    </div>
<?php
    return ob_get_clean();
  }
}
add_shortcode( 'plombiers_accordion', 'plombiers_accordion_function' );
