<?php
/* ==========================================================
  Gallery Info
=========================================================== */
if ( !function_exists('plombiers_gallery_function')) {
  function plombiers_gallery_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'gallery_items'  => '',
      'extraclass'  => '',
      // Style
      'title_color'  => '',
      'title_size'  => '',
      'icon_color'  => '',
      'icon_size'  => '',
      'overly_color'  => '',
    ), $atts));

    if ( $title_size || $title_color ) {
      $title_style = ' style="';
      $title_style .= $title_size ? 'font-size: '. plombiers_core_check_px($title_size) .';': '';
      $title_style .= $title_color ? 'color: '.$title_color : '';
      $title_style .= '"';
    } else {
      $title_style = '';
    }
    if ( $icon_size || $icon_color ) {
      $icon_style = ' style="';
      $icon_style .= $icon_size ? 'font-size: '. plombiers_core_check_px($icon_size) .';': '';
      $icon_style .= $icon_color ? 'color: '.$icon_color : '';
      $icon_style .= '"';
    } else {
      $icon_style = '';
    }
    if ( $overly_color ) {
      $overly_style = ' style="';
      $overly_style .= $overly_color ? 'background-color: '.$overly_color : '';
      $overly_style .= '"';
    } else {
      $overly_style = '';
    }
    $output = '<div class="plmbr-contact-onfo '.esc_attr( $extraclass ).'">';
      foreach ($gallery_items as $key => $gallery_item) {
        // Columns
        if ($gallery_item->gallery_colunm === 'col_one') {
          $colum_class = 'col-md-12';
        } elseif ($gallery_item->gallery_colunm === 'col_four') {
          $colum_class = 'col-md-3';
        } elseif ($gallery_item->gallery_colunm === 'col_three') {
          $colum_class = 'col-md-4';
        } else {
          $colum_class = 'col-md-6';
        }
        $output .= '<div class="col-xs-12 col-sm-6 '.esc_attr( $colum_class ).' plmbr-about2-extspcng">';
        $output .= '<div class="plmbr-about-column2">';
        $output .= '<div class="plmbr-about2-thumb">';
        $image_url = wp_get_attachment_url( $gallery_item->gallery_image );
        if ($gallery_item->gallery_image) {
          $output .= ' <img class="img-responsive img-fluid" src="'.esc_url( $image_url ).'" alt="">';
         }
        $output .= '<div class="plmbr-about2-overlay" '.$overly_style.'>';
        $output .= '<div class="plmbr-abut-ovrly-icon">';
        if ( $gallery_item->title_icon ) {
          $output .= '<span '.$icon_style.' class="'.esc_attr( $gallery_item->title_icon ).'"></span>';
        }
        if ( $gallery_item->title ) {
          $output .= '<p class="plmbr-ovrly-sub-title text-uppercase" '.$title_style.'>'.esc_html( $gallery_item->title ).'</p>';
        }
        $output .= '</div></div></div></div></div>';
      }
     $output .= '</div>';
    return $output;
  }
}
add_shortcode( 'plombiers_gallery', 'plombiers_gallery_function' );
