<?php
add_action('init', 'plombiers_service_info_kc_map', 99 );
function plombiers_service_info_kc_map() {

	if (function_exists('kc_add_map')){
	    kc_add_map(
	        array(
	            'plombiers_service_info' => array(
	                'name' =>  esc_html__('Plombier Service Info','plombiers-core'),
	                'description' => esc_html__('Display single icon', 'plombiers-core'),
	                'icon' => 'cpicon kc-icon-feature-box',
	                'category' => PlombiersLibrary::plombiers_kc_cat_name(),
	                'params' => array(
                  'Content' => array(
                    array(
                        'type'          => 'group',
                        'label'         => esc_html__(' Options', 'plombiers-core'),
                        'name'          => 'service_info_items',
                        'description'   => esc_html__( 'Service Info Iteams Group Field', 'plombiers-core' ),
                        'options'       => array('add_text' => esc_html__(' Add new Service Info Iteam', 'plombiers-core')),
                        'params' => array(
                          array(
                            'name' => 'service_info_colunm',
                            'label' => esc_html__('Service Info Column','plombiers-core'),
                            'type' => 'select',
                              'options' => array(
                                '' => esc_html__('Service Info Column Style','plombiers-core'),
                                'col_one' => esc_html__('One Colunm','plombiers-core'),
                                'col_two' => esc_html__('Two Colunm','plombiers-core'),
                                'col_three' => esc_html__('Three Colunm','plombiers-core'),
                                'col_four' => esc_html__('Four Colunm','plombiers-core'),
                              ),
                            'admin_label' => true,
                          ),
                          array(
                              'name' => 'title_icon',
                              'label' => esc_html__( 'Icon','plombiers-core'),
                              'type' => 'icon_picker',
                              'description' => esc_html__('Chose Service Info  icon ', 'plombiers-core'),
                            ),
                          array(
                              'name' => 'title',
                              'label' => esc_html__( 'Title','plombiers-core'),
                              'type' => 'text',
                              'admin_label' => true,
                              'description' => esc_html__('Write Service Info  Title ', 'plombiers-core'),
                            ),
                        ),
                      ),
                    ),
                    'Style' => array(
	                    array(
                        'name' => 'extraclass',
                        'label' => esc_html__('Extra Class','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter Extra Class for Titlte ..', 'plombiers-core')
                      ),array(
                        'name' => 'title_size',
                        'label' => esc_html__('Title Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for title such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'title_color',
                        'label' => esc_html__('Title Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for title', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'icon_size',
                        'label' => esc_html__('Service Info Icon Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for Service Info Icon such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
                      array(
                        'name' => 'icon_color',
                        'label' => esc_html__('Service Info Icon Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Service Info Icon', 'plombiers-core')
                      ),
                      array(
                        'name' => 'info_border_color',
                        'label' => esc_html__('Service Info Border Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set Border color for Service Info', 'plombiers-core')
                      ),
		                )
	                )
	            ),  // End of elemnt kc_icon

	        )
	    ); // End add map

	} // End if

}
