<?php
/*
 * Plombiers Theme's Functions
 * Author & Copyright: IRSFoundation
 * URL: http://themeforest.net/user/irsfoundation
 */
/**
 * Define - Folder Paths
 */
define( 'PLOMBIERS_THEMEROOT_PATH', get_template_directory() );
define( 'PLOMBIERS_THEMEROOT_URI', get_template_directory_uri() );
define( 'PLOMBIERS_CSS', PLOMBIERS_THEMEROOT_URI . '/assets/css' );
define( 'PLOMBIERS_IMAGES', PLOMBIERS_THEMEROOT_URI . '/assets/images' );
define( 'PLOMBIERS_SCRIPTS', PLOMBIERS_THEMEROOT_URI . '/assets/js' );
define( 'PLOMBIERS_FRAMEWORK', get_template_directory() . '/includes' );
define( 'PLOMBIERS_LAYOUT', get_template_directory() . '/theme-layouts' );
define( 'PLOMBIERS_CS_IMAGES', PLOMBIERS_THEMEROOT_URI . '/includes/theme-options/framework-extend/images' );
define( 'PLOMBIERS_CS_FRAMEWORK', get_template_directory() . '/includes/theme-options/framework-extend' ); // Called in Icons field *.json
define( 'PLOMBIERS_ADMIN_PATH', get_template_directory() . '/includes/theme-options/cs-framework' ); // Called in Icons field *.json
/**
 * Define - Global Theme Info's
 */
if (is_child_theme()) { // If Child Theme Active
	$plombiers_theme_child = wp_get_theme();
	$plombiers_get_parent = $plombiers_theme_child->Template;
	$plombiers_theme = wp_get_theme($plombiers_get_parent);
} else { // Parent Theme Active
	$plombiers_theme = wp_get_theme();
}
define('PLOMBIERS_NAME', $plombiers_theme->get( 'Name' ), true);
define('PLOMBIERS_VERSION', $plombiers_theme->get( 'Version' ), true);
define('PLOMBIERS_BRAND_URL', $plombiers_theme->get( 'AuthorURI' ), true);
define('PLOMBIERS_BRAND_NAME', $plombiers_theme->get( 'Author' ), true);
/**
 * All Main Files Include
 */
require_once( PLOMBIERS_FRAMEWORK . '/init.php' );