<?php
/*
 * The template for displaying all single team.
 * Author & Copyright: IRSFoundation
 * URL: http://themeforest.net/user/irsfoundation
 */
	get_header();
	// Metabox
	$plombiers_id    = ( isset( $post ) ) ? $post->ID : 0;
	$plombiers_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $plombiers_id;
	$plombiers_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $plombiers_id;
	$plombiers_meta  = get_post_meta( $plombiers_id, 'page_type_metabox', true );
	if ($plombiers_meta) {
		$plombiers_content_padding = $plombiers_meta['content_spacings'];
	} else { $plombiers_content_padding = ''; }
	// Padding - Theme Options
	if ($plombiers_content_padding && $plombiers_content_padding !== 'padding-none') {
		$plombiers_content_top_spacings = $plombiers_meta['content_top_spacings'];
		$plombiers_content_bottom_spacings = $plombiers_meta['content_bottom_spacings'];
		if ($plombiers_content_padding === 'padding-custom') {
			$plombiers_content_top_spacings = $plombiers_content_top_spacings ? 'padding-top:'. plombiers_check_px($plombiers_content_top_spacings) .';' : '';
			$plombiers_content_bottom_spacings = $plombiers_content_bottom_spacings ? 'padding-bottom:'. plombiers_check_px($plombiers_content_bottom_spacings) .';' : '';
			$plombiers_custom_padding = $plombiers_content_top_spacings . $plombiers_content_bottom_spacings;
		} else {
			$plombiers_custom_padding = '';
		}
	} else {
		$plombiers_top_spacing = cs_get_option('team_top_spacing');
		$plombiers_bottom_spacing = cs_get_option('team_bottom_spacing');
		if ($plombiers_top_spacing || $plombiers_bottom_spacing) {
			$plombiers_top_spacing = $plombiers_top_spacing ? 'padding-top:'. plombiers_check_px($plombiers_top_spacing) .';' : '';
			$plombiers_bottom_spacing = $plombiers_bottom_spacing ? 'padding-bottom:'. plombiers_check_px($plombiers_bottom_spacing) .';' : '';
			$plombiers_custom_padding = $plombiers_top_spacing . $plombiers_bottom_spacing;
		} else {
			$plombiers_custom_padding = '';
		}
	}
	// Sidebar Position
	$plombiers_layout_class = 'col-lg-12 no-padding';
	?>
	<div class="container-fulid content-area <?php echo esc_attr($plombiers_content_padding); ?>" style="<?php echo esc_attr($plombiers_custom_padding); ?>">
		<div class="row">
			<div class="<?php echo esc_attr($plombiers_layout_class); ?> sngl-team-cnt">
				<div class="blog-one blog-list blog-col-1">
				<?php	if ( have_posts() ) :
					/* Start the Loop */
					while ( have_posts() ) : the_post();
						get_template_part( 'theme-layouts/post/content', 'team' );
					endwhile;
					else :
						get_template_part( 'theme-layouts/post/content', 'none' );
					endif; ?>
				</div><!-- Blog Div -->
				<?php
		    wp_reset_postdata();  // avoid errors further down the page
				?>
			</div><!-- Content Area -->
		</div>
	</div>
	<?php
	get_footer();