<?php
/**
 * Content wrappers
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/global/wrapper-start.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
$plombiers_page_layout = cs_get_option('woo_sidebar_position');
	if ($plombiers_page_layout === 'extra-width') {
		$plombiers_column_class = 'extra-width';
	} elseif($plombiers_page_layout === 'left-sidebar' || $plombiers_page_layout === 'right-sidebar') {
		$plombiers_column_class = 'col-md-9';
	} else {
		$plombiers_column_class = 'col-md-12';
	} ?>
<div id="container" class="<?php echo esc_attr($plombiers_column_class); ?>"><div id="content" role="main">
