<?php
add_action('init', 'plombiers_accordion_kc_map', 99 );
function plombiers_accordion_kc_map() {
  if (function_exists('kc_add_map')){
      kc_add_map(
        array(
        'plombiers_accordions' => array(
        'name' => esc_html__('plombiers Accordion','plombiers-core'),
        'description' => esc_html__('Collapsible content panels', 'plombiers-core' ),
        'category' => PlombiersLibrary::plombiers_kc_cat_name(),
        'icon' => 'kc-icon-accordion',
        'title' => esc_html__(' Accordion Settings', 'plombiers-core'),
        'is_container' => true,
        'priority'  => 130,
        'views' => array(
          'type' => 'views_sections',
          'sections' => 'plombiers_accordion',
          'display' => 'vertical'
        ),
        'params' => array(),
        'content' => '[plombiers_accordion title="Accordion Tab"][/plombiers_accordion]'
      ),
      'plombiers_accordion' => array(
        'name' => esc_html__('Accordion Tab','plombiers-core'),
        'category' => '',
        'title' => esc_html__('Accordion Tab Settings','plombiers-core'),
        'is_container' => true,
        'system_only' => true,
        'params' => array(
          'general' => array(
            array(
              'name' => 'title',
              'label' => esc_html__('Title','plombiers-core'),
              'value' => esc_html__(' New Accordion Tab','plombiers-core'),
              'type' => 'text'
            ),
            array(
              'name' => 'icon_option',
              'label' => esc_html__(' Use Icon?','plombiers-core'),
              'type' => 'toggle',
              'description' => esc_html__(' Display an icon beside the title','plombiers-core')
            ),
            array(
              'name' => 'icon',
              'label' => esc_html__('Icon Title','plombiers-core'),
              'type' => 'icon_picker',
              'value' => '',
              'description' => esc_html__('Choose an icon to display with title','plombiers-core'),
              'relation' => array(
                'parent' => 'icon_option',
                'show_when' => 'yes'
              )
            ),
            array(
              'name' => 'class',
              'label' => esc_html__(' Extra class name','plombiers-core'),
              'type' => 'text',
              'description' => esc_html__('Description ','plombiers-core')
            )
          ),
        )
      ),
      )
    ); // End add map
    }
} // End if