<?php
add_action('init', 'plombiers_button_kc_map', 99 );
function plombiers_button_kc_map() {

	if (function_exists('kc_add_map')){
	    kc_add_map(
	        array(
	            'plombiers_button' => array(
	                'name' => esc_html__('Plombier Button','plombiers-core'),
	                'description' => esc_html__('Display single icon', 'plombiers-core'),
	                'icon' => 'cpicon kc-icon-button',
	                'category' => PlombiersLibrary::plombiers_kc_cat_name(),
	                'params' => array(
                  'Content' => array(
                     array(
                        'name' => 'button_text',
                        'label' => esc_html__('Button Text','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                      ),
                      array(
                        'name' => 'button_icon',
                        'label' => esc_html__('Button Icon','plombiers-core'),
                        'type' => 'icon_picker',
                        'admin_label' => true,
                      ),
                       array(
                        'name' => 'button_link',
                        'label' => esc_html__('Button Link','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                      ),
	                    array(
                        'name' => 'open_link',
                        'label' => esc_html__('New Tab','plombiers-core'),
                        'type' => 'radio',
                        'options' => array(
                          'yes' => esc_html__('Yes','plombiers-core'),
                          'no' => esc_html__('No','plombiers-core'),
                        ),
                        'admin_label' => true,
                      ),
		                ),
                    'Style' => array(
	                    array(
                        'name' => 'extraclass',
                        'label' => esc_html__('Extra Class','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter Extra Class for Titlte ..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'text_size',
                        'label' => esc_html__('Button Text Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for button such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
                      array(
                        'name' => 'text_color',
                        'label' => esc_html__('Button Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for button', 'plombiers-core')
                      ),
	                    array(
                        'name' => 'bg_color',
                        'label' => esc_html__('Button Background Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set Background color for button', 'plombiers-core')
	                    ),
                      array(
                        'name' => 'text_hover',
                        'label' => esc_html__('Button Text hover Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set hover color for button', 'plombiers-core')
                      ),
                      array(
                        'name' => 'bg_hover',
                        'label' => esc_html__('Button Background hover Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set Background hover color for button', 'plombiers-core')
                      ),
                      array(
                        'name' => 'border_radius',
                        'label' => esc_html__('Button Radious','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter Border Radious for button such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
		                )
	                )
	            ),  // End of elemnt kc_icon

	        )
	    ); // End add map

	} // End if

}