<?php
add_action('init', 'plombiers_testimonial_kc_map', 99 );
function plombiers_testimonial_kc_map() {

	if (function_exists('kc_add_map')){
	    kc_add_map(
	        array(
	            'plombiers_testimonial' => array(
	                'name' =>  esc_html__('Plombier Testimonial','plombiers-core'),
	                'description' => esc_html__('Display single icon', 'plombiers-core'),
	                'icon' => 'cpicon kc-icon-testi',
	                'category' => PlombiersLibrary::plombiers_kc_cat_name(),
	                'params' => array(
                  'Content' => array(
                    array(
                        'type'          => 'group',
                        'label'         => esc_html__('Options', 'plombiers-core'),
                        'name'          => 'testimonial_items',
                        'description'   => esc_html__('Lis Iteams Group Field', 'plombiers-core' ),
                        'options'       => array('add_text' => esc_html__('Add new Lis Iteam', 'plombiers-core')),
                        'params' => array(
                          array(
                              'name' => 'title',
                              'label' => esc_html__('Testimonial','plombiers-core'),
                              'type' => 'text',
                              'admin_label' => true,
                              'description' => esc_html__('Write Testimonial  Title ', 'plombiers-core'),
                            ),
                            array(
                              'name' => 'testi_image',
                              'label' => esc_html__('Testimonial Image','plombiers-core'),
                              'type' => 'attach_image',
                              'description' => esc_html__('Chose Testimonial  Image ', 'plombiers-core'),
                            ),
                            array(
                              'name' => 'description',
                              'label' => esc_html__('Description','plombiers-core'),
                              'type' => 'textarea',
                              'admin_label' => false,
                              'description' => esc_html__('Write Testimonial  Description ', 'plombiers-core'),
                            ),
                        ),
                      ),
                    ),
                    'Style' => array(
	                    array(
                        'name' => 'extraclass',
                        'label' => esc_html__('Extra Class','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Enter Extra Class for Titlte ..', 'plombiers-core')
                      ),array(
                        'name' => 'title_size',
                        'label' => esc_html__('Title Size','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Enter font-size for title such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'title_color',
                        'label' => esc_html__('Title Color','plombiers-core'),
                        'type' => 'color_picker',
                        'description' => esc_html__('Set color for title', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'desc_size',
                        'label' => esc_html__('description Size','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Enter font-size for Sub Testimonial such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'desc_color',
                        'label' => esc_html__('description Color','plombiers-core'),
                        'type' => 'color_picker',
                        'description' => esc_html__('Set color for Sub Testimonial', 'plombiers-core')
	                    ),
		                )
	                )
	            ),  // End of elemnt kc_icon

	        )
	    ); // End add map

	} // End if

}
