/*
 * All Admin Related Scripts in this Plombier Theme
 * Author & Copyright: IRSFoundation
 * URL: http://themeforest.net/user/irsfoundation
 */

(function($) {
"use strict";
  /*---------------------------------------------------------------*/
  /* =  Toggle Meta boxes based on post formats
  /*---------------------------------------------------------------*/
  function toggle_metaboxes() {

    var format = $("input[name='post_format']:checked").val();

    $('.cs-element-standard-image, .cs-element-gallery-format, .cs-element-add-gallery , #post_type_metabox .cs-element-add-video-url , .cs-element.cs-element-enter-audio-iframe-embed-code-here.cs-field-textarea').hide();

    if (format == '0' || format == 'image') {
        $('').slideUp('fast');
        $('.cs-element-standard-image').slideDown('slow');
    }
    if (format == 'gallery') {
        $('').slideUp('fast');
        $('.cs-element-gallery-format, .cs-element-add-gallery').slideDown('slow');
    }
    if (format == 'video') {
        $('').slideUp('fast');
        $('#post_type_metabox .cs-element-add-video-url').slideDown('slow');
    }
     if (format == 'audio') {
      $('').slideUp('fast');
      $('.cs-element.cs-element-enter-audio-iframe-embed-code-here.cs-field-textarea').slideDown('slow');
    }
  }

$(document).ready(function() {
  toggle_metaboxes();
  $('#post-formats-select input[type="radio"]').on('click', toggle_metaboxes);
});
})(jQuery);