<?php
/*
 * All Custom Shortcode for [theme_name] theme.
 * Author & Copyright: Edge Theme
 * URL: http://themeforest.net/user/edge_theme
 */

if( ! function_exists( 'plombiers_shortcodes' ) ) {
  function plombiers_shortcodes( $options ) {
    $options       = array();
    /* Topbar Shortcodes */
    $options[]     = array(
      'title'      => esc_html__('Topbar Shortcodes', 'plombiers-core'),
      'shortcodes' => array(
            // Address Info
        array(
          'name'          => 'plombiers_address_infos',
          'title'         => esc_html__('Address Info', 'plombiers-core'),
          'view'          => 'clone',
          'clone_id'      => 'plombiers_address_info',
          'clone_title'   => esc_html__('Add New', 'plombiers-core'),
          'fields'        => array(

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'plombiers-core'),
            ),
          ),
          'clone_fields'  => array(
            array(
              'id'        => 'info_icon',
              'type'      => 'icon',
              'title'     => esc_html__('Info Icon', 'plombiers-core')
            ),
            array(
              'id'        => 'info_icon_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Info Icon Color', 'plombiers-core'),
            ),
            array(
              'id'        => 'info_main_text',
              'type'      => 'text',
              'title'     => esc_html__('Main Text', 'plombiers-core')
            ),
            array(
              'id'        => 'info_main_text_link',
              'type'      => 'text',
              'title'     => esc_html__('Main Text Link', 'plombiers-core')
            ),
            array(
              'id'        => 'info_main_text_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Main Text Color', 'plombiers-core'),
            ),
            array(
              'id'        => 'info_main_text_bg',
              'type'      => 'color_picker',
              'title'     => esc_html__('Main Text BG Color', 'plombiers-core'),
            ),
            array(
              'id'        => 'target_tab',
              'type'      => 'switcher',
              'title'     => esc_html__('Open New Tab?', 'plombiers-core'),
              'on_text'     => esc_html__('Yes', 'plombiers-core'),
              'off_text'     => esc_html__('No', 'plombiers-core'),
            ),
          ),
        ),
        // Address Info
      ),
    );
 /* Content Shortcodes */

    $options[]     = array(
      'title'      => esc_html__('header Shortcodes', 'plombiers-core'),
      'shortcodes' => array(
            // Address Info
        array(
          'name'          => 'plombiers_header_infos',
          'title'         => esc_html__('Header Info', 'plombiers-core'),
          'view'          => 'clone',
          'clone_id'      => 'plombiers_header_info',
          'clone_title'   => esc_html__('Add New', 'plombiers-core'),
          'fields'        => array(
            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'plombiers-core'),
            ),
          ),
          'clone_fields'  => array(
            array(
              'id'        => 'info_icon',
              'type'      => 'icon',
              'title'     => esc_html__('Info Icon', 'plombiers-core')
            ),
            array(
              'id'        => 'info_icon_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Info Icon Color', 'plombiers-core'),
            ),
            array(
              'id'        => 'info_main_text',
              'type'      => 'text',
              'title'     => esc_html__('Main Text', 'plombiers-core')
            ),
            array(
              'id'        => 'info_main_text_link',
              'type'      => 'text',
              'title'     => esc_html__('Main Text Link', 'plombiers-core')
            ),
            array(
              'id'        => 'info_main_text_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Main Text Color', 'plombiers-core'),
            ),
            array(
              'id'        => 'info_main_text_bg',
              'type'      => 'color_picker',
              'title'     => esc_html__('Main Text BG Color', 'plombiers-core'),
            ),
            array(
              'id'        => 'info_sub_text',
              'type'      => 'text',
              'title'     => esc_html__('Sub Text', 'plombiers-core')
            ),
            array(
              'id'        => 'info_sub_text_link',
              'type'      => 'text',
              'title'     => esc_html__('Sub Text Link', 'plombiers-core')
            ),
            array(
              'id'        => 'info_sub_text_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Sub Text Color', 'plombiers-core'),
            ),
            array(
              'id'        => 'info_sub_text_bg',
              'type'      => 'color_picker',
              'title'     => esc_html__('Sub Text BG Color', 'plombiers-core'),
            ),
            array(
              'id'        => 'target_tab',
              'type'      => 'switcher',
              'title'     => esc_html__('Open New Tab?', 'plombiers-core'),
              'on_text'     => esc_html__('Yes', 'plombiers-core'),
              'off_text'     => esc_html__('No', 'plombiers-core'),
            ),
          ),
        ),
        // Address Info
      ),
    );
    // Header  Info End
    $options[]     = array(
      'title'      => esc_html__('Content Shortcodes', 'plombiers-core'),
      'shortcodes' => array(
        // Spacer
        array(
          'name'          => 'vc_empty_space',
          'title'         => esc_html__('Spacer', 'plombiers-core'),
          'fields'        => array(
            array(
              'id'        => 'height',
              'type'      => 'text',
              'title'     => esc_html__('Height', 'plombiers-core'),
              'attributes' => array(
                'placeholder'     => '20px',
              ),
            ),

          ),
        ),
        // Spacer
        // Link
        array(
          'name'          => 'simple_link',
          'title'         => esc_html__('Simple Link', 'plombiers-core'),
          'fields'        => array(

            array(
              'id'        => 'link_text',
              'type'      => 'text',
              'title'     => esc_html__('Link Text', 'plombiers-core'),
            ),
            array(
              'id'        => 'link',
              'type'      => 'text',
              'title'     => esc_html__('Link', 'plombiers-core'),
            ),
            array(
              'id'        => 'target_tab',
              'type'      => 'switcher',
              'title'     => esc_html__('Open New Tab?', 'plombiers-core'),
              'on_text'     => esc_html__('Yes', 'plombiers-core'),
              'off_text'     => esc_html__('No', 'plombiers-core'),
            ),
            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'plombiers-core'),
            ),

            // Normal Mode
            array(
              'id'        => 'text_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Text Color', 'plombiers-core'),
              'wrap_class' => 'column_third el-hav-border',
            ),
            array(
              'id'        => 'text_hover_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Text Hover Color', 'plombiers-core'),
              'wrap_class' => 'column_third el-hav-border',
            ),
            array(
              'id'        => 'text_size',
              'type'      => 'text',
              'title'     => esc_html__('Text Size', 'plombiers-core'),
              'wrap_class' => 'column_half el-hav-border',
              'attributes' => array(
                'placeholder'     => 'Eg: 14px',
              ),
            ),
            array(
              'id'        => 'text_decoration',
              'type'      => 'select',
              'title'     => esc_html__('Select Tag', 'plombiers-core'),
              'wrap_class' => 'column_half el-hav-border',
              'options'        => array(
                'none' => esc_html__('None', 'plombiers-core'),
                'underline' => esc_html__('Underline', 'plombiers-core'),
                'overline' => esc_html__('Overline', 'plombiers-core'),
              ),
            ),

          ),
        ),
        // Link
        // Special Tags
        array(
          'name'          => 'special_tags',
          'title'         => esc_html__('Special Tags', 'plombiers-core'),
          'fields'        => array(
            array(
              'id'        => 'tags',
              'type'      => 'select',
              'title'     => esc_html__('Select Tag', 'plombiers-core'),
              'options'        => array(
                '' => esc_html__('Select', 'plombiers-core'),
                'div' => esc_html__('Div', 'plombiers-core'),
                'p' => esc_html__('P', 'plombiers-core'),
                'span' => esc_html__('Span', 'plombiers-core'),
                'h1' => esc_html__('H1', 'plombiers-core'),
                'h2' => esc_html__('H2', 'plombiers-core'),
                'h3' => esc_html__('H3', 'plombiers-core'),
                'h4' => esc_html__('H4', 'plombiers-core'),
                'h5' => esc_html__('H5', 'plombiers-core'),
                'h6' => esc_html__('H6', 'plombiers-core'),
              ),
            ),
            array(
              'id'        => 'content',
              'type'      => 'textarea',
              'title'     => esc_html__('Content', 'plombiers-core'),
            ),
            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'plombiers-core'),
            ),
            array(
              'id'        => 'text_size',
              'type'      => 'text',
              'title'     => esc_html__('Text Size', 'plombiers-core'),
            ),
            array(
              'id'        => 'text_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Color', 'plombiers-core'),
            ),
          ),
        ),
        // Special Tags
        // Social Icons
        array(
          'name'          => 'plombierss_socials',
          'title'         => esc_html__('Social Icons', 'plombiers-core'),
          'view'          => 'clone',
          'clone_id'      => 'plombierss_social',
          'clone_title'   => esc_html__('Add New', 'plombiers-core'),
          'fields'        => array(
            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'plombiers-core'),
            ),
            // Colors
            array(
              'type'    => 'notice',
              'class'   => 'info',
              'content' => esc_html__('Style', 'plombiers-core')
            ),
            array(
              'id'        => 'icon_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Icon Color', 'plombiers-core'),
              'wrap_class' => 'column_half',
            ),
            array(
              'id'        => 'icon_hover_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Icon Hover Color', 'plombiers-core'),
              'wrap_class' => 'column_half',
            ),
            // Icon Size
            array(
              'id'        => 'icon_size',
              'type'      => 'text',
              'title'     => esc_html__('Icon Size', 'plombiers-core'),
              'wrap_class' => 'column_full',
            ),
          ),
          'clone_fields'  => array(
            array(
              'id'        => 'social_link',
              'type'      => 'text',
              'attributes' => array(
                'placeholder'     => 'http://',
              ),
              'title'     => esc_html__('Link', 'plombiers-core')
            ),
            array(
              'id'        => 'social_icon',
              'type'      => 'icon',
              'title'     => esc_html__('Social Icon', 'plombiers-core')
            ),
            array(
              'id'        => 'target_tab',
              'type'      => 'switcher',
              'title'     => esc_html__('Open New Tab?', 'plombiers-core'),
              'on_text'     => esc_html__('Yes', 'plombiers-core'),
              'off_text'     => esc_html__('No', 'plombiers-core'),
            ),
          ),
        ),
        // Social Icons
        array(
          'name'          => 'footer_contacts',
          'title'         => esc_html__('Footer Contact', 'plombiers-core'),
          'view'          => 'clone',
          'clone_id'      => 'footer_contact',
          'clone_title'   => esc_html__('Add New', 'plombiers-core'),
          'fields'        => array(
            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'plombiers-core'),
            ),
            array(
              'id'        => 'contact_image',
              'type'      => 'image',
              'title'     => esc_html__('Contact Image', 'plombiers-core'),
            ),
             array(
              'id'        => 'content_text',
              'type'      => 'textarea',
              'title'     => esc_html__('Content', 'plombiers-core'),
            ),
            // Colors
            array(
              'type'    => 'notice',
              'class'   => 'info',
              'content' => esc_html__('Style', 'plombiers-core')
            ),
            array(
              'id'        => 'contact_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Contact Color', 'plombiers-core'),
              'wrap_class' => 'column_half',
            ),
            // Icon Size
            array(
              'id'        => 'contact_size',
              'type'      => 'text',
              'title'     => esc_html__('Contact Size', 'plombiers-core'),
              'wrap_class' => 'column_half',
            ),
          ),
          'clone_fields'  => array(
            array(
              'id'        => 'contact_icon',
              'type'      => 'icon',
              'title'     => esc_html__('Social Icon', 'plombiers-core'),
            ),
            array(
              'id'        => 'prefix',
              'type'      => 'text',
              'title'     => esc_html__('Contact Prefix', 'plombiers-core')
            ),
            array(
              'id'        => 'title',
              'type'      => 'text',
              'title'     => esc_html__('Contact Text', 'plombiers-core')
            ),
            array(
              'id'        => 'contact_link',
              'type'      => 'text',
              'attributes' => array(
                'placeholder'     => 'http://',
              ),
              'title'     => esc_html__('Link', 'plombiers-core')
            ),
            array(
              'id'        => 'target_tab',
              'type'      => 'switcher',
              'title'     => esc_html__('Open New Tab?', 'plombiers-core'),
              'on_text'     => esc_html__('Yes', 'plombiers-core'),
              'off_text'     => esc_html__('No', 'plombiers-core'),
            ),
          ),
        ),
        // Social Icons
        array(
          'name'          => 'plombiers_current_year',
          'title'         => esc_html__('Current Year', 'plombiers-core'),
        ),
      ),
    );
  return $options;
  }
  add_filter( 'cs_shortcode_options', 'plombiers_shortcodes' );
}