<?php
/* ==========================================================
  Counter
=========================================================== */
if ( !function_exists('plombiers_counter_function')) {
  function plombiers_counter_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'counter_items'  => '',
      'extraclass'  => '',
      // Style
      'title_color'  => '',
      'title_size'  => '',
      'number_size'  => '',
      'number_color'  => '',
      'icon_color'  => '',
      'icon_size'  => '',
    ), $atts));

    if ( $title_size || $title_color ) {
      $title_style = ' style="';
      $title_style .= $title_size ? 'font-size: '. plombiers_core_check_px($title_size) .';': '';
      $title_style .= $title_color ? 'color: '.$title_color : '';
      $title_style .= '"';
    } else {
      $title_style = '';
    }
    if ( $number_size || $number_color ) {
      $number_style = ' style="';
      $number_style .= $number_size ? 'font-size: '. plombiers_core_check_px($number_size) .';': '';
      $number_style .= $number_color ? 'color: '.$number_color : '';
      $number_style .= '"';
    } else {
      $number_style = '';
    }
    if ( $icon_size || $icon_color ) {
      $icon_style = ' style="';
      $icon_style .= $icon_size ? 'font-size: '. plombiers_core_check_px($icon_size) .';': '';
      $icon_style .= $icon_color ? 'color: '.$icon_color : '';
      $icon_style .= '"';
    } else {
      $icon_style = '';
    }
    $output = '<div class="row plmbr-fact-count '.esc_attr( $extraclass ).'">';
      foreach ($counter_items as $key => $counter_item) {
        // Columns
        if ($counter_item->counter_colunm === 'col_one') {
          $colum_class = 'col-md-12';
        } elseif ($counter_item->counter_colunm === 'col_two') {
          $colum_class = 'col-md-6';
        } elseif ($counter_item->counter_colunm === 'col_three') {
          $colum_class = 'col-md-4';
        } else {
          $colum_class = 'col-md-3';
        }
       $output .= '<div class="col-xs-12 col-sm-6 '.esc_attr( $colum_class ).' text-center">';
         $output .= '<ul class="list-inline plmbr-fact-counterd">';
          $output .= ' <li class="text-thm plmbr-facticon"> <span '.$icon_style.' class="'.esc_attr( $counter_item->title_icon ).'"></span></li>';
           $output .= '<li class="animate-numbers" '.$number_style.' >'.esc_html( $counter_item->number ).'</li>';
         $output .= '</ul>';
         if ($counter_item->title) {
         $output .= '<p '.$title_style.'>'.esc_html( $counter_item->title ).'</p>';
         }
       $output .= '</div>';
      }
     $output .= '</div>';
    return $output;
  }
}
add_shortcode( 'plombiers_counter', 'plombiers_counter_function' );
