<?php
/* ==========================================================
  Gallery Info
=========================================================== */
if ( !function_exists('plombiers_gallery_slider_function')) {
  function plombiers_gallery_slider_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'gallery_slider_items'  => '',
      'extraclass'  => '',
      // Style
      'overly_color'  => '',
    ), $atts));
    if ( $overly_color ) {
      $overly_style = ' style="';
      $overly_style .= $overly_color ? 'background-color: '.$overly_color : '';
      $overly_style .= '"';
    } else {
      $overly_style = '';
    }
    $output = '<div class="clearfix"><div class="flexslider '.esc_attr( $extraclass ).'"><ul class="slides">';
        foreach ( $gallery_slider_items as $key => $gallery_slider_item ) {
          $image_url = wp_get_attachment_url( $gallery_slider_item->image_url );
          $output .= '<li data-thumb="'.esc_url( $image_url ).'">
              <img class="plmbr-flexovrlay-two" src="'.esc_url( $image_url ).'" />';
          $output .= '<div class="plmbr-flexovrlay-one" '.$overly_style.'>
          <a class="lightbox-image" href="'.esc_url( $image_url ).'"></a></div>';
          $output .= '</li>';
        }
     $output .= '</ul></div></div>';
    return $output;
  }
}
add_shortcode( 'plombiers_gallery_slider', 'plombiers_gallery_slider_function' );
