<?php
/*
 * The sidebar containing the main widget area.
 * Author & Copyright: IRSFoundation
 * URL: http://themeforest.net/user/irsfoundation
 */
	$plombiers_blog_widget = cs_get_option('blog_widget');
	$plombiers_single_blog_widget = cs_get_option('single_blog_widget');
	$plombiers_team_widget = cs_get_option('team_widget');
	$woo_sidebar_position = cs_get_option('woo_sidebar_position');
	$woo_widget = cs_get_option('woo_widget');
	if (is_page()) {
		// Page Layout Options
		$plombiers_page_layout = get_post_meta( get_the_ID(), 'page_layout_options', true );
	} ?>
	<div class="col-md-3 sidebar">
		<?php if (is_page() && $plombiers_page_layout['page_sidebar_widget']) {
			if (is_active_sidebar($plombiers_page_layout['page_sidebar_widget'])) {
				dynamic_sidebar($plombiers_page_layout['page_sidebar_widget']);
			}
		} elseif (!is_page() && $plombiers_blog_widget && !$plombiers_single_blog_widget) {
			if (is_active_sidebar($plombiers_blog_widget)) {
				dynamic_sidebar($plombiers_blog_widget);
			}
		} elseif ($plombiers_team_widget && is_singular('team')) {
			if (is_active_sidebar($plombiers_team_widget)) {
				dynamic_sidebar($plombiers_team_widget);
			}
		} elseif (is_single() && $plombiers_single_blog_widget) {
			if (is_active_sidebar($plombiers_single_blog_widget)) {
				dynamic_sidebar($plombiers_single_blog_widget);
			}
		} elseif ($woo_widget && is_shop()) {
			if (is_active_sidebar($woo_widget)) {
				dynamic_sidebar($woo_widget);
			}
		} else {
			if (is_active_sidebar('sidebar-1')) {
				dynamic_sidebar( 'sidebar-1' );
			}
		} ?>
	</div><!-- #secondary -->
