<?php
// Metabox
$plombiers_id    = ( isset( $post ) ) ? $post->ID : 0;
$plombiers_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $plombiers_id;
$plombiers_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $plombiers_id;
$plombiers_meta  = get_post_meta( $plombiers_id, 'page_type_metabox', true );
$subtitle_options = get_post_meta( get_the_ID(), 'subtitle_options', true );
$irs_subtitle = isset($subtitle_options['irs_subtitle']) ? $subtitle_options['irs_subtitle'] : '';
if ($plombiers_meta && is_page()) {
	$plombiers_title_bar_padding = $plombiers_meta['title_area_spacings'];
} else { $plombiers_title_bar_padding = ''; }
// Padding - Theme Options
if ($plombiers_title_bar_padding && $plombiers_title_bar_padding !== 'padding-none') {
	$plombiers_title_top_spacings = $plombiers_meta['title_top_spacings'];
	$plombiers_title_bottom_spacings = $plombiers_meta['title_bottom_spacings'];
	if ($plombiers_title_bar_padding === 'padding-custom') {
		$plombiers_title_top_spacings = $plombiers_title_top_spacings ? 'padding-top:'. plombiers_check_px($plombiers_title_top_spacings) .';' : '';
		$plombiers_title_bottom_spacings = $plombiers_title_bottom_spacings ? 'padding-bottom:'. plombiers_check_px($plombiers_title_bottom_spacings) .';' : '';
		$plombiers_custom_padding = $plombiers_title_top_spacings . $plombiers_title_bottom_spacings;
	} else {
		$plombiers_custom_padding = '';
	}
} else {
	$plombiers_title_bar_padding = cs_get_option('title_bar_padding');
	$plombiers_titlebar_top_padding = cs_get_option('titlebar_top_padding');
	$plombiers_titlebar_bottom_padding = cs_get_option('titlebar_bottom_padding');
	if ($plombiers_title_bar_padding === 'padding-custom') {
		$plombiers_titlebar_top_padding = $plombiers_titlebar_top_padding ? 'padding-top:'. plombiers_check_px($plombiers_titlebar_top_padding) .';' : '';
		$plombiers_titlebar_bottom_padding = $plombiers_titlebar_bottom_padding ? 'padding-bottom:'. plombiers_check_px($plombiers_titlebar_bottom_padding) .';' : '';
		$plombiers_custom_padding = $plombiers_titlebar_top_padding . $plombiers_titlebar_bottom_padding;
	} else {
		$plombiers_custom_padding = '';
	}
}
// Banner Type - Meta Box
if ($plombiers_meta && is_page()) {
	$plombiers_banner_type = $plombiers_meta['banner_type'];
} else { $plombiers_banner_type = ''; }
// Overlay Color - Theme Options
if ($plombiers_meta && is_page()) {
	$plombiers_bg_overlay_color = $plombiers_meta['titlebar_bg_overlay_color'];
} else { $plombiers_bg_overlay_color = ''; }
if (!empty($plombiers_bg_overlay_color)) {
	$plombiers_bg_overlay_color = $plombiers_bg_overlay_color;
} else {
	$plombiers_bg_overlay_color = cs_get_option('titlebar_bg_overlay_color');
}
$e_uniqid        = uniqid();
$inline_style  = '';
if ( $plombiers_bg_overlay_color ) {
 $inline_style .= '.plmbr-pagetitled-'.$e_uniqid .'.plmbr-pagetitled::before{';
 $inline_style .= ( $plombiers_bg_overlay_color ) ? 'background-color:'. $plombiers_bg_overlay_color.';' : '';
 $inline_style .= '}';
}
// add inline style
add_inline_style( $inline_style );
$styled_class  = ' plmbr-pagetitled-'.$e_uniqid;
// Header Style
if ($plombiers_meta) {
  $plombiers_header_design  = $plombiers_meta['select_header_design'];
} else {
  $plombiers_header_design  = cs_get_option('select_header_design');
}
if ($plombiers_header_design === 'default') {
  $plombiers_header_design_actual  = cs_get_option('select_header_design');
} else {
  $plombiers_header_design_actual = ( $plombiers_header_design ) ? $plombiers_header_design : cs_get_option('select_header_design');
}
if ($plombiers_header_design_actual == 'style_two') {
	$header_two_margin = ' header-two-margin';
} else {
	$header_two_margin = '';
}
// Background - Type
if( $plombiers_meta && isset( $plombiers_meta['title_area_bg'] ) ) {
  extract( $plombiers_meta['title_area_bg'] );
  $plombiers_background_image       = ( ! empty( $image ) ) ? 'background-image: url(' . $image . ');' : '';
  $plombiers_background_repeat      = ( ! empty( $image ) && ! empty( $repeat ) ) ? ' background-repeat: ' . $repeat . ';' : '';
  $plombiers_background_position    = ( ! empty( $image ) && ! empty( $position ) ) ? ' background-position: ' . $position . ';' : '';
  $plombiers_background_size    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-size: ' . $size . ';' : '';
  $plombiers_background_attachment    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-attachment: ' . $attachment . ';' : '';
  $plombiers_background_color       = ( ! empty( $color ) ) ? ' background-color: ' . $color . ';' : '';
  $plombiers_background_style       = ( ! empty( $image ) ) ? $plombiers_background_image . $plombiers_background_repeat . $plombiers_background_position . $plombiers_background_size . $plombiers_background_attachment : '';
  $plombiers_title_bg = ( ! empty( $plombiers_background_style ) || ! empty( $plombiers_background_color ) ) ? $plombiers_background_style . $plombiers_background_color : '';
} else { $plombiers_title_bg = ''; }
if ($plombiers_title_bg) {
	$plombiers_title_bg = $plombiers_title_bg;
} else {
	$titlebar_bg = cs_get_option('titlebar_bg');
	if ($titlebar_bg) {
	extract( $titlebar_bg );
	$plombiers_background_image       = ( ! empty( $image ) ) ? 'background-image: url(' . $image . ');' : '';
	$plombiers_background_repeat      = ( ! empty( $image ) && ! empty( $repeat ) ) ? ' background-repeat: ' . $repeat . ';' : '';
	$plombiers_background_position    = ( ! empty( $image ) && ! empty( $position ) ) ? ' background-position: ' . $position . ';' : '';
	$plombiers_background_size    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-size: ' . $size . ';' : '';
	$plombiers_background_attachment    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-attachment: ' . $attachment . ';' : '';
	$plombiers_background_color       = ( ! empty( $color ) ) ? ' background-color: ' . $color . ';' : '';
	$plombiers_background_style       = ( ! empty( $image ) ) ? $plombiers_background_image . $plombiers_background_repeat . $plombiers_background_position . $plombiers_background_size . $plombiers_background_attachment : '';
	$plombiers_title_bg = ( ! empty( $plombiers_background_style ) || ! empty( $plombiers_background_color ) ) ? $plombiers_background_style . $plombiers_background_color : '';
	} else {
			$plombiers_title_bg = '';
	}
}
if($plombiers_banner_type === 'hide-title-area') { // Hide Title Area
} else { ?>
	<!-- Banner & Title Area -->
<div class="plmbr-pagetitled  <?php echo esc_attr($plombiers_title_bar_padding .' '. $plombiers_banner_type.$header_two_margin .$styled_class); ?>" style="<?php echo esc_attr($plombiers_custom_padding . $plombiers_title_bg); ?>">
		<div class="container">
			<div class="row">
				<div class="col-md-6 text-left">
					<?php if (is_woocommerce_shop()) { ?>
						<h2 class="plmbr-pgttl"><?php echo woocommerce_page_title(); ?></h2>
					<?php	} else{ ?>
						<h2 class="plmbr-pgttl"><?php plombiers_title_area(); ?></h2>
				 <?php } ?>
					<?php if ( $irs_subtitle ) { ?>
					<div class="plmbr-pgsbttl"><?php echo esc_attr( $irs_subtitle ); ?></div>
					 <?php } ?>
				</div>
				 <?php $plombiers_need_breadcrumbs = cs_get_option('need_breadcrumbs');
				  if (isset($plombiers_need_breadcrumbs)) {
				    get_template_part( 'theme-layouts/header/breadcrumbs', 'bar' );
				  } ?>
			</div>
		</div>
	</div>
<?php } ?>