<?php
// Metabox
global $post;
$plombiers_id    = ( isset( $post ) ) ? $post->ID : false;
$plombiers_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $plombiers_id;
$plombiers_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $plombiers_id;
$plombiers_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $plombiers_id : false;
$plombiers_meta  = get_post_meta( $plombiers_id, 'page_type_metabox', true );
if ($plombiers_meta) {
  $plombiers_topbar_options = $plombiers_meta['topbar_options'];
} else {
  $plombiers_topbar_options = '';
}
// Define Theme Options and Metabox varials in right way!
if ($plombiers_meta) {
  if ($plombiers_topbar_options === 'custom' && $plombiers_topbar_options !== 'default') {
    $plombiers_top_left           = $plombiers_meta['top_left'];
    $plombiers_top_right          = $plombiers_meta['top_right'];
    $plombiers_topbar_left_width  = $plombiers_meta['topbar_left_width'];
    $plombiers_topbar_right_width = $plombiers_meta['topbar_right_width'];
    $plombiers_left_width         = $plombiers_topbar_left_width ? 'width:'. $plombiers_topbar_left_width .';' : '';
    $plombiers_right_width        = $plombiers_topbar_right_width ? 'width:'. $plombiers_topbar_right_width .';' : '';
    $plombiers_hide_topbar        = $plombiers_topbar_options;
    $plombiers_topbar_bg          = $plombiers_meta['topbar_bg'];
    if ($plombiers_topbar_bg) {
      $plombiers_topbar_bg = 'background-color: '. $plombiers_topbar_bg .';';
    } else {$plombiers_topbar_bg = '';}
  } else {
    $plombiers_top_left           = cs_get_option('top_left');
    $plombiers_top_right          = cs_get_option('top_right');
    $plombiers_topbar_left_width  = cs_get_option('topbar_left_width');
    $plombiers_topbar_right_width = cs_get_option('topbar_right_width');
    $plombiers_left_width         = $plombiers_topbar_left_width ? 'width:'. $plombiers_topbar_left_width .';' : '';
    $plombiers_right_width        = $plombiers_topbar_right_width ? 'width:'. $plombiers_topbar_right_width .';' : '';
    $plombiers_hide_topbar        = cs_get_option('top_bar');
    $plombiers_topbar_bg          = '';
  }
} else {
  // Theme Options fields
  $plombiers_top_left           = cs_get_option('top_left');
  $plombiers_top_right          = cs_get_option('top_right');
  $plombiers_topbar_left_width  = cs_get_option('topbar_left_width');
  $plombiers_topbar_right_width = cs_get_option('topbar_right_width');
  $plombiers_left_width         = $plombiers_topbar_left_width ? 'width:'. $plombiers_topbar_left_width .';' : '';
  $plombiers_right_width        = $plombiers_topbar_right_width ? 'width:'. $plombiers_topbar_right_width .';' : '';
  $plombiers_hide_topbar        = cs_get_option('top_bar');
  $plombiers_topbar_bg          = '';
}
// All options
if ($plombiers_meta && $plombiers_topbar_options === 'custom' && $plombiers_topbar_options !== 'default') {
  $plombiers_top_left = ( $plombiers_top_left ) ? $plombiers_meta['top_left'] : cs_get_option('top_left');
  $plombiers_top_right = ( $plombiers_top_right ) ? $plombiers_meta['top_right'] : cs_get_option('top_right');
} else {
  $plombiers_top_left = cs_get_option('top_left');
  $plombiers_top_right = cs_get_option('top_right');
}
if ($plombiers_meta && $plombiers_topbar_options !== 'default') {
  if ($plombiers_topbar_options === 'hide_topbar') {
    $plombiers_hide_topbar = 'hide';
  } else {
    $plombiers_hide_topbar = 'show';
  }
} else {
  $plombiers_hide_topbar_check = cs_get_option('top_bar');
  if ($plombiers_hide_topbar_check === true ) {
    $plombiers_hide_topbar = 'hide';
  } else {
    $plombiers_hide_topbar = 'show';
  }
}
if ($plombiers_meta) {
  $plombiers_topbar_bg = ( $plombiers_topbar_bg ) ? $plombiers_meta['topbar_bg'] : '';
} else {
  $plombiers_topbar_bg = '';
}
if ($plombiers_topbar_bg) {
  $plombiers_topbar_bg = 'background-color: '. $plombiers_topbar_bg .';';
} else {$plombiers_topbar_bg = '';}
$plombiers_topbar_left_width = ( $plombiers_topbar_left_width ) ? $plombiers_meta['topbar_left_width'] : cs_get_option('topbar_left_width');
$plombiers_topbar_right_width = ( $plombiers_topbar_right_width ) ? $plombiers_meta['topbar_right_width'] : cs_get_option('topbar_right_width');
$plombiers_left_width   = $plombiers_topbar_left_width ? 'width:'. $plombiers_topbar_left_width .';' : '';
$plombiers_right_width  = $plombiers_topbar_right_width ? 'width:'. $plombiers_topbar_right_width .';' : '';
$plombiers_transparent_logo = cs_get_option('transparent_logo_default');
if ( $plombiers_transparent_logo ) {
    $plombiers_transparent_logo = wp_get_attachment_url( $plombiers_transparent_logo );
} else {
    $plombiers_transparent_logo = PLOMBIERS_IMAGES.'/logo/header-white-logo.png';
}
// Header Style
if ($plombiers_meta) {
  $plombiers_header_design  = $plombiers_meta['select_header_design'];
  $header_address_info  = $plombiers_meta['header_address_info'];
} else {
  $plombiers_header_design  = cs_get_option('select_header_design');
  $header_address_info  = cs_get_option('header_address_info');
}
if ($plombiers_header_design === 'default') {
  $plombiers_header_design_actual  = cs_get_option('select_header_design');
  $header_address_info  = cs_get_option('header_address_info');
} else {
  $plombiers_header_design_actual = ( $plombiers_header_design ) ? $plombiers_header_design : cs_get_option('select_header_design');
  $header_address_info = ( $header_address_info ) ? $header_address_info : cs_get_option('header_address_info');
}
if($plombiers_hide_topbar === 'show') { ?>
 <!--start topbar -->
    <div class="topbar" >
        <div class="upper-topbar" style="<?php echo esc_attr($plombiers_topbar_bg); ?>">
            <div class="container">
                <div class="row">
                    <div class="col col-sm-8" style="<?php echo esc_attr($plombiers_left_width); ?>">
                    <?php echo do_shortcode($plombiers_top_left); ?>
                    </div>
                    <div class="col col-sm-4">
                        <div class="social-links-wrapper">
                            <div class="social-links-wrapper">
                              <?php echo do_shortcode($plombiers_top_right); ?>
                            </div>
                        </div>
                    </div>
                </div> <!-- end row -->
            </div> <!-- end container -->
        </div>
    </div>
    <!-- end topbar -->
<?php }
 if ( $plombiers_header_design_actual === 'style_two' ) { ?>
 <div class="topbar" >
    <div class="lower-topbar">
        <div class="container">
            <div class="row">
                <div class="col col-md-3">
                    <div class="logo">
                        <a href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo esc_url( $plombiers_transparent_logo ); ?>" alt="<?php echo get_bloginfo('name') ?>"></a>
                    </div>
                </div>
                <div class="col col-md-9 info-bar-wrapper">
                    <div class="info-bar">
                        <?php echo do_shortcode($header_address_info); ?>
                    </div>
                </div>
            </div> <!-- end row -->
        </div> <!-- end container -->
    </div>
</div>
<?php }