<?php
/**
 * Product Loop Start
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/loop-start.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.0
 */
$woo_product_columns = cs_get_option('woo_product_columns');
	if ( $woo_product_columns === '2') {
		$woo_product_columns = $woo_product_columns ? ' woo_half_column' : '';
	} elseif ( $woo_product_columns === '4' ) {
		$woo_product_columns = $woo_product_columns ? ' woo_four_column' : '';
	} elseif ( $woo_product_columns === '5' ) {
		$woo_product_columns = $woo_product_columns ? ' woo_five_column' : '';
	} else {
	   $woo_product_columns = $woo_product_columns ? ' woo_three_column' : '';
	}


?>
<ul class="products<?php echo esc_attr( $woo_product_columns ); ?> row">
